linux: 3.16.0-10.15 -proposed tracker

Bug #1359783 reported by Tim Gardner on 2014-08-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel Development Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Prepare-package
Medium
Tim Gardner
Prepare-package-meta
Medium
Tim Gardner
Prepare-package-signed
Medium
Tim Gardner
Promote-to-release
Medium
Ubuntu Package Archive Administrators
linux (Ubuntu)
Medium
Unassigned
Utopic
Medium
Unassigned

Bug Description

This bug is for tracking the 3.16.0-10.15 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-Prepare-package-start:Thursday, 21. August 2014 14:25 UTC
kernel-Prepare-package-end:Friday, 22. August 2014 01:00 UTC
kernel-Package-testing-start:Friday, 22. August 2014 01:00 UTC
ppa-package-testing-start:Friday, 22. August 2014 01:00 UTC
kernel-Promote-to-release-end:Sunday, 24. August 2014 22:00 UTC
kernel-phase:Released
kernel-phase-changed:Sunday, 24. August 2014 23:00 UTC

Tim Gardner (timg-tpi) on 2014-08-21
tags: added: kernel-release-tracking-bug
tags: added: utopic
Changed in kernel-development-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu Utopic):
importance: Undecided → Medium

All builds are complete, packages in this bug are available in -proposed.

description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.16.0-10.15

---------------
linux (3.16.0-10.15) utopic; urgency=low

  [ dann frazier ]

  * [debian] Fix regression with ABI subversions and backport

  [ Feng Kan ]

  * SAUCE: (no-up) irqchip:gic: change access of gicc_ctrl register to read
    modify write.
    - LP: #1357527
  * SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code
    - LP: #1358949

  [ Stefan Bader ]

  * SAUCE: bcache: prevent crash on changing writeback_running
    - LP: #1357295

  [ Tim Gardner ]

  * [Config] CONFIG_XFRM_STATISTICS=y
  * [Config] CONFIG_SECURITY_NETWORK_XFRM=y
  * [Config] CONFIG_SENSORS_IBMPOWERNV=m
    - LP: #1353005
  * Release Tracking Bug
    - LP: #1359783

  [ Upstream Kernel Changes ]

  * intel_idle: Broadwell support
    - LP: #1256170
  * powerpc/book3s: Add basic infrastructure to handle HMI in Linux.
    - LP: #1357108
  * powerpc/powernv: Invoke opal call to handle hmi.
    - LP: #1357108
  * powerpc/book3s: handle HMIs for cpus in nap mode.
    - LP: #1357108
  * powerpc/book3s: Fix endianess issue for HMI handling on napping cpus.
    - LP: #1357108
  * powerpc: Add smp_mb() to arch_spin_is_locked()
    - LP: #1358569
  * powerpc: Add smp_mb()s to arch_spin_unlock_wait()
    - LP: #1358569
  * hwmon: (powerpc/powernv) hwmon driver for power, fan rpm, voltage and
    temperature
    - LP: #1353005
  * tools/testing/selftests/ptrace/peeksiginfo.c: add PAGE_SIZE definition
    - LP: #1358855
  * printk: Add function to return log buffer address and size
    - LP: #1359423
  * powerpc/powernv: Interface to register/unregister opal dump region
    - LP: #1359423
  * bcache: fix crash on shutdown in passthrough mode
    - LP: #1357295
  * bcache: fix uninterruptible sleep in writeback thread
    - LP: #1357295

  [ Vinayak Kale ]

  * SAUCE: (no-up) dt-bindings: Add Potenza PMU binding
    - LP: #1357527
  * SAUCE: (no-up) arm64: dts: Add PMU node for APM X-Gene Storm SOC
    - LP: #1357527
 -- Tim Gardner <email address hidden> Fri, 15 Aug 2014 12:34:33 -0600

Changed in linux (Ubuntu Utopic):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-08-24
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-development-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers